<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [configure](./foundation-header.configure.md)

## configure() function

A function that allows configuring the header micro-frontend with name and templateOptions.

**Signature:**

```typescript
export declare function configure(config: Partial<HeaderConfig>): Promise<typeof import("../main").FoundationHeader>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | Partial&lt;[HeaderConfig](./foundation-header.headerconfig.md)<!-- -->&gt; | A partial HeaderConfig. |

**Returns:**

Promise&lt;typeof import("../main").[FoundationHeader](./foundation-header.foundationheader.md)<!-- -->&gt;

## Remarks

Configure the Header micro frontend for host app integration.

## Example

Providing template options to align to your host application.

```ts

  const { configure } = await import('@genesislcap/foundation-header/config'); // < import from the subpath
  return configure({
    name: `nexus-app-header`,
    // These will be merged with the packages `defaultTemplateOptions`. You will need to have these components registered in your application.
    templateOptions: {
      button: 'nexus-button',
      icon: 'nexus-icon-next',
    },
  });
},
```

