<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [FoundationHeader](./foundation-header.foundationheader.md)

## FoundationHeader class

Navigation micro-frontend includes navigation bar and flyout menu

**Signature:**

```typescript
export declare class FoundationHeader extends FoundationHeader_base 
```
**Extends:** FoundationHeader\_base

## Remarks

`foundation-header` micro-frontend can be added to the project to include a navigation bar and flyout menu. There are multiple ways that the behaviour of the component can be configured - the icon shown on the navigation bar and flyout menu (this shows the Genesis logo by default). - navigation links at the left-hand side of the navigation bar. - the control buttons on the right-hand side of the navigation bar can be shown or hidden, and their behaviour controlled via event listeners - The contents of the flyout menu.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [auth](./foundation-header.foundationheader.auth.md) |  | Auth |  |
|  [credentialManager](./foundation-header.foundationheader.credentialmanager.md) |  | CredentialManager |  |
|  [headerConfig](./foundation-header.foundationheader.headerconfig.md) |  | [HeaderConfig](./foundation-header.headerconfig.md) |  |
|  [hideSideBar](./foundation-header.foundationheader.hidesidebar.md) |  | boolean | Boolean attribute which controls whether to include the sideNav component Control via<code>hide-side-bar</code> |
|  [i18next](./foundation-header.foundationheader.i18next.md) |  | I18next |  |
|  [languageOptions](./foundation-header.foundationheader.languageoptions.md) |  | [LanguageOptions](./foundation-header.languageoptions.md) |  |
|  [logoSrc](./foundation-header.foundationheader.logosrc.md) |  | any | Optional attribute which controls the icon to show on the navigation bar and flyout Control via <code>logo-src</code> |
|  [ready](./foundation-header.foundationheader.ready.md) |  | boolean |  |
|  [routeButtons](./foundation-header.foundationheader.routebuttons.md) |  | Array&lt;{ index: number; path: string; title: string; icon: string; variant: string; }&gt; | If present the defined route buttons will be rendered in the header 'routes' slot |
|  [routeNavItems](./foundation-header.foundationheader.routenavitems.md) |  | FoundationRouteNavItem\[\] | If present the defined  will be rendered in the header 'routes' slot |
|  [showConnectionIndicator](./foundation-header.foundationheader.showconnectionindicator.md) |  | boolean | Boolean attribute which controls whether to show the connection indicator on the navigation bar Control via <code>show-connection-indicator</code> |
|  [showLanguageSelector](./foundation-header.foundationheader.showlanguageselector.md) |  | boolean | Boolean attribute which controls whether to show the language selector on the navigation bar Control via <code>show-language-selector</code> |
|  [showLuminanceToggleButton](./foundation-header.foundationheader.showluminancetogglebutton.md) |  | boolean | Boolean attribute which controls whether to show the luminance (moon) icon on the navigation bar Control via<code>show-luminance-toggle-button</code> |
|  [showMiscToggleButton](./foundation-header.foundationheader.showmisctogglebutton.md) |  | boolean | Boolean attribute which controls whether to show the miscellaneous (menu) icon on the navigation bar Control via <code>show-luminance-toggle-button</code> |
|  [showNotificationsButton](./foundation-header.foundationheader.shownotificationsbutton.md) |  | boolean | Boolean attribute which controls whether to show the notification (bell) icon on the navigation bar Control via <code>show-notification-button</code> |
|  [sideNavOpen](./foundation-header.foundationheader.sidenavopen.md) |  | boolean |  |
|  [userName](./foundation-header.foundationheader.username.md) |  | string | Username of the logged in user |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [changeLanguage(e)](./foundation-header.foundationheader.changelanguage.md) |  | Changes the language of the application |
|  [connectedCallback()](./foundation-header.foundationheader.connectedcallback.md) |  |  |
|  [logout()](./foundation-header.foundationheader.logout.md) |  | Logs the user out of their session |
|  [navigateTo(path)](./foundation-header.foundationheader.navigateto.md) |  | Changes the route of the current page |
|  [selectTemplate()](./foundation-header.foundationheader.selecttemplate.md) |  |  |
|  [toLocalisedText(text)](./foundation-header.foundationheader.tolocalisedtext.md) |  | To localised text |

